<?
include_once("_common.php");
/*
:: 지음빌더 ::
dok.do에서 제공하는 짧은 주소
dok.do 짧은 주소는 2014년 01월 현재 내부 사정으로 서비스 일시 중지 됨.
*/
?>
<html>
<head>
<title>Dok.do Short url</title>
<meta http-equiv="content-type" content="text/html; charset=<?=$g4['charset']?>">
<script src="../js/jquery-1.8.0.min.js"></script>
<style type="text/css">
@font-face { font-family:나눔고딕; src:url("<?=$g4[path]?>/zm.extend/fonts/NanumGothic.eot");}
body	{ margin:0px; padding:10px; font-size:11px; }
img		{ border:0px; }
.title	{ padding:10px; border-bottom:2px solid #649A9A; font-weight:bold; color:#307878; font-family:나눔고딕; }
.notice	{ padding:2px 10px 2px 10px; color:#515151; word-break:break-all; }
.btn_url	{ cursor:pointer; border:1px solid #C3C3C3; padding:2px; height:18px; color:#287CC9; font-size:11px; background-color:#FBFBFB; }
</style>
</head>
<body>
<div class="title">> Dok.do 짧은 주소</div>
<div style="text-align:center;"><a href="http://dok.do" target="_blank"><img src="img/dok.do/img_dokdo.gif"></a></div>

<div class="notice">· <a href="http://dok.do" target="_blank">dok.do</a>독도에서 제공하는 짧은 주소 서비스입니다.<br>&nbsp;&nbsp;필요 할 때만 짧은 주소를 생성해 주세요.</div>
<div class="notice"><span style="width:70px;">· 긴 주소</span> : <?=base64_decode($lurl)?></div>
<div class="notice"><span style="width:70px;">· 짧은 주소</span> : 
<?
//-- 짧은 주소 얻기 -----------------------------
if($mode == "get_surl") : 
	$lurl	= urlencode(base64_decode($lurl));

	$opts	= array('http'=>array('method'=>"GET", 'header'=>"Accept-language: en\r\n" . "Cookie: foo=bar\r\n" ));
	$context = stream_context_create($opts); 

	$fp		= fopen("http://dok.do/api/shorten?longUrl=" . $lurl . "&format=text", 'r', false, $context);
	$surl	= fgets($fp, 1024);
	fclose($fp);
?>
	<?=$surl?> <a href="javascript:copyurl('<?=$surl?>')" style="text-decoration:none;"><span class="btn_url">주소복사</a></span>
<? else : ?>
		<a href="?lurl=<?=$lurl?>&mode=get_surl" style="text-decoration:none;"><span class="btn_url">짧은주소 구하기</span></a>
<? endif; ?>
</div>
<div style="margin:10px; padding:10px; text-align:center; border-top:1px solid #E3E3E3;"><a href="javascript:window.close();"><img src="img/dok.do/btn_close.gif"></a></div>

<script language="javascript">
function copyurl(su){
	if($.browser.msie) {
		window.clipboardData.setData('text', su);
		alert("주소를 클립보드에 복사 했습니다.\nCtrl + V로 붙혀넣기 하실 수 있습니다.");
	}else{
		pmt	= prompt("짧은 주소입니다. Ctrl + C로 복사하세요.", su);
	}
}
</script>
</body>
</html>